#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# (c) 2011 by Björn Ricks <bjoern.ricks@intevation.de>
#
# A python worklog-alike to log what you have 'getan' (done).
#
# This is Free Software licensed under the terms of GPLv3 or later.
# For details see LICENSE coming with the source of 'getan'.
#

from setuptools import setup, find_packages

import os.path

import getan

def read(fname):
    return open(os.path.join(os.path.dirname(__file__),
                             fname)).read()

setup(name="getan",
      version=getan.__version__,
      description="getan - A worklog like tool",
      url="http://hg.intevation.org/getan/",
      license = "GPLv3+",
      long_description=read("README"),
      packages=find_packages(),
      package_data = {"" : ["*.txt"],
                     },
      entry_points = { "console_scripts": ["getan=getan.main:main",
          "getan-classic=classic.getan:main"] },
      classifiers=[
          "Topic :: Utilities",
          "Environment :: Console",
          "Intended Audience :: Developers",
          "Intended Audience :: End Users/Desktop",
          "License :: OSI Approved :: GNU General Public License (GPL)",
          "Operating System :: POSIX",
          "Programming Language :: Python",
      ]
     )
